Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkUnstructuredGridReader Class Reference

`#include <vtkUnstructuredGridReader.h>`

Inheritance diagram for vtkUnstructuredGridReader:

[legend]
Collaboration diagram for vtkUnstructuredGridReader:

[legend]
List of all members.

## Detailed Description

read vtk unstructured grid data file

Date:
  2002/05/31 23:12:41

Revision:
  1.47

vtkUnstructuredGridReader is a source object that reads ASCII or binary unstructured grid data files in vtk format. (see text for format details). The output of this reader is a single vtkUnstructuredGrid data object. The superclass of this class, vtkDataReader, provides many methods for controlling the reading of the data file, see vtkDataReader for more information.

Warning:
  Binary files written on one system may not be readable on other systems.

See also:
  vtkUnstructuredGrid vtkDataReader

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (65%)
  - Martin, Ken (14%)
  - Lorensen, Bill (7%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkUnstructuredGridReader.cxx)`
  - .`h` (`/IO/vtkUnstructuredGridReader.h)`

Examples:
  vtkUnstructuredGridReader (Examples)

Tests:
  vtkUnstructuredGridReader (Tests)

Definition at line 59 of file vtkUnstructuredGridReader.h.

## Public Types
typedef vtkDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkUnstructuredGrid * | GetOutput ()
vtkUnstructuredGrid * | GetOutput (int idx)
void | SetOutput (vtkUnstructuredGrid *output)
## Static Public Methods
vtkUnstructuredGridReader * | New ()
int | IsTypeOf (const char *type)
vtkUnstructuredGridReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkUnstructuredGridReader ()
| ~vtkUnstructuredGridReader ()
void | Execute ()
void | ComputeInputUpdateExtents (vtkDataObject *output)

## Member Typedef Documentation

typedef vtkDataReader vtkUnstructuredGridReader::Superclass

| Reimplemented from vtkDataReader. Definition at line 63 of file vtkUnstructuredGridReader.h.

## Constructor & Destructor Documentation

vtkUnstructuredGridReader::vtkUnstructuredGridReader | ( |  | ) | `[protected]`

vtkUnstructuredGridReader::~vtkUnstructuredGridReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkUnstructuredGridReader* vtkUnstructuredGridReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkDataReader.

virtual const char* vtkUnstructuredGridReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataReader.

int vtkUnstructuredGridReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataReader.

virtual int vtkUnstructuredGridReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataReader.

vtkUnstructuredGridReader* vtkUnstructuredGridReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataReader.

void vtkUnstructuredGridReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataReader.

vtkUnstructuredGrid* vtkUnstructuredGridReader::GetOutput | ( |  | ) |

| Get the output of this reader.

vtkUnstructuredGrid* vtkUnstructuredGridReader::GetOutput | ( | int | idx | ) | `[inline]`

| Get the output of this reader. Reimplemented from vtkSource. Definition at line 69 of file vtkUnstructuredGridReader.h. References vtkSource::GetOutput().

void vtkUnstructuredGridReader::SetOutput | ( | vtkUnstructuredGrid * | output | ) |

| Get the output of this reader.

void vtkUnstructuredGridReader::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkUnstructuredGridReader::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkSource.

The documentation for this class was generated from the following file:

- IO/vtkUnstructuredGridReader.h